Delete appRoleAssignment
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete an appRoleAssignment that has been granted to a user.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AppRoleAssignment.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | AppRoleAssignment.ReadWrite.All |
HTTP request
DELETE /users/{id}/appRoleAssignments/{id}
Note
As a best practice, we recommend you delete app role assignments using the Delete appRoleAssignedTo method which deletes through the appRoleAssignedTo relationship of the resource service principal, instead of this method.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Examples
Request
Here is an example of the request to delete an app role assignment.
DELETE https://graph.microsoft.com/beta/users/{id}/appRoleAssignments/{id}
Response
Here is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for